unit analysis;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TAnaForm = class(TForm)
    AnaList: TListBox;
    procedure AnaListDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    Procedure AddLine(Index, Msg: String);
    Procedure ClearList;
    Procedure FinalizeList;
    { Public declarations }
  end;

var
  AnaForm: TAnaForm;

implementation

uses Main;
var ok: Boolean = False;

{$R *.dfm}

Procedure TAnaForm.AddLine(Index, Msg: String);
Begin
  if not ok then exit;
  AnaList.Items.Add(Index+Msg);
End;

Procedure TAnaForm.ClearList;
Begin
  If not ok then Exit;
  AnaList.Items.Clear;
  AnaList.Items.Add('3bShip Analysis Messages');
End;

Procedure TAnaForm.FinalizeList;
Begin
  if not ok then exit;
  IF AnaList.Items.Count = 0
  then AnaList.Items.Add('1No Errors were found')
End;

procedure TAnaForm.AnaListDrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
var h: String;
    col: TColor;

begin
  With AnaList.Canvas do
  Begin
    if Index mod 2 = 0
    then col:= clWhite
    else col:= $EEEEEE;
    Brush.Color:= col;
    Pen.Color:= col;
    Rectangle(Rect);
    Pen.color:= clBlack;
    h:= AnaList.Items[Index];
    Case h[1] of
      '1': Font.Color:= clGreen;
      '2': Font.Color:= clRed;
      '3': Font.Color:= clBlack;
      '4': Font.Color:= clGray;
      Else Font.Color:= clGray;
    End;
    Delete(h,1,1);
    If h[1] = 'b' then
    Begin
      Font.Style:= [fsBold];
      Delete(h,1,1);
    End Else Font.Style:= [];
    TextOut(3, Rect.Top, h);
  End;
end;

procedure TAnaForm.FormCreate(Sender: TObject);
begin
  ok:= true;
  If MainForm.Showing then AnaForm.Show;
end;

procedure TAnaForm.FormShow(Sender: TObject);
begin
  AnaForm.Top:= MainForm.Top;
  AnaForm.Left:= MainForm.Left - AnaForm.Width;
end;

end.
