unit options;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Menus, CheckLst;

type
  TOpForm = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    autoload_chk: TCheckBox;
    CruiseList: TCheckListBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    RAList: TCheckListBox;
    EPList: TCheckListBox;
    Label4: TLabel;
    Label5: TLabel;
    StealthList: TCheckListBox;
    RPList: TCheckListBox;
    Memo1: TMemo;
    pwrlist_chk: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure pwrlist_chkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OpForm: TOpForm;

implementation
Uses loadform, Main, PwrList, Logger;
Type
  BArr = Array[0..20] of Boolean;

Const
  AL_Comp = 0;
  AL_Pwr = 1;

var
  PwrOps:  File of BArr;
  PwrHlp:  BArr;

{$R *.dfm}


procedure TOpForm.FormCreate(Sender: TObject);
var x: Byte;
begin
  CruiseList.Items.LoadFromFile(MainDir+'\pwrops.txt');
  RAList.Items.LoadFromFile(MainDir+'\pwrops.txt');
  EPList.Items.LoadFromFile(MainDir+'\pwrops.txt');
  StealthList.Items.LoadFromFile(MainDir+'\pwrops.txt');
  RPList.Items.LoadFromFile(MainDir+'\pwrops.txt');
  If FIleExists(MainDir+'ops\pwrops.ops') then
  Begin
    {Reading the power options file}
    AssignFile(PwrOps, MainDir+'ops\pwrops.ops');
    Reset(PwrOps);
    Read(PwrOps, PwrHlp);
    For x:= 0 to CruiseList.Items.Count - 1 do
      CruiseList.Checked[x]:= PwrHlp[x];
    Read(PwrOps, PwrHlp);
    For x:= 0 to RAList.Items.Count - 1 do
      RAList.Checked[x]:= PwrHlp[x];
    Read(PwrOps, PwrHlp);
    For x:= 0 to StealthList.Items.Count - 1 do
      StealthList.Checked[x]:= PwrHlp[x];
    Read(PwrOps, PwrHlp);
    For x:= 0 to EPList.Items.Count - 1 do
      EPList.Checked[x]:= PwrHlp[x];
    Read(PwrOps, PwrHlp);
    For x:= 0 to RPList.Items.Count - 1 do
      RPList.Checked[x]:= PwrHlp[x];
    CloseFile(PwrOps);
  End;
end;

procedure TOpForm.FormClose(Sender: TObject; var Action: TCloseAction);
var x: Byte;
begin
  AssignFile(PwrOps, MainDir+'ops\pwrops.ops');
  Rewrite(PwrOps);
  For x:= 0 to CruiseList.Items.Count - 1 do
    PwrHlp[x]:= CruiseList.Checked[x];
  Write(PwrOps, PwrHlp);
  For x:= 0 to RAList.Items.Count - 1 do
    PwrHlp[x]:= RAList.Checked[x];
  Write(PwrOps, PwrHlp);
  For x:= 0 to StealthList.Items.Count - 1 do
    PwrHlp[x]:= StealthList.Checked[x];
  Write(PwrOps, PwrHlp);
  For x:= 0 to EPList.Items.Count - 1 do
    PwrHlp[x]:= EPList.Checked[x];
  Write(PwrOps, PwrHlp);
  For x:= 0 to RPList.Items.Count - 1 do
    PwrHlp[x]:= RPList.Checked[x];
  Write(PwrOps, PwrHlp);
  CloseFile(PwrOps);
  MainForm.RefreshAllStats;
end;

procedure TOpForm.pwrlist_chkClick(Sender: TObject);
begin
  If pwrlist_chk.Checked
  then PwrListForm.Show
  else If PwrListForm.Showing
       then PwrListForm.Close;
end;

end.
